Bug 1480453 - oc describe cronjobs <name> : Error could not find the requested resource
Summary: oc describe cronjobs <name> : Error could not find the requested resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 07:24 UTC by Jaspreet Kaur
Modified: 2017-11-28 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: CronJobs are placed in batch/v2alpha1 group, whereas other batch resources are placed in batch/v1. Consequence: Due to this fact, a lot of api machinery does not handle multiversioning problems properly. Fix: Update the restmapper, responsible for matching resource with appropriate api group version to handle multi-versioned apis. Result: Describing resources works as expected.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:07:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Jaspreet Kaur 2017-08-11 07:24:56 UTC
Description of problem: 	

We recently upgraded our openshift platform to 3.5* latest and we were testing the cronjobs.

We created few cronjobs and they are running fine but when i was trying to describe its throwing below error:
mukeshk2@MUKESHK2-M-C08S:[~]
:>oc describe cronjobs pi
Error from server (NotFound): the server could not find the requested resource
+++++++++++++++++++++
other oc get/edit/export cronjobs are working fine but not describe.


We can describe scheduledjob in 3.4 but not cronjobs in 3.5
Version-Release number of selected component (if applicable):

:>openshift version
openshift v3.5.5.31
kubernetes v1.5.2+43a9be4
etcd 3.1.0
:>oc get cronjobs
NAME      SCHEDULE      SUSPEND   ACTIVE    LAST-SCHEDULE
pi        */2 * * * ?   False     1         Thu, 10 Aug 2017 14:46:00 +0530


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: It doesn't work


Expected results: It should work


Additional info:

Comment 1 Maciej Szulik 2017-10-04 09:49:53 UTC
This is a known problem/limitation that is fixed in 3.7 release.

Comment 2 zhou ying 2017-10-11 09:09:52 UTC
verified with the 3.7 version, the issue has fixed:
 openshift version
openshift v3.7.0-0.147.1
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.1

 oc get cronjob 
NAME      SCHEDULE      SUSPEND   ACTIVE    LAST-SCHEDULE
sj3       */5 * * * *   False     1         Wed, 11 Oct 2017 17:05:00 +0800

oc describe cronjob sj3
Name:				sj3
Namespace:			test
Labels:				run=sj3
Annotations:			<none>
Schedule:			*/5 * * * *
Concurrency Policy:		Allow
Suspend:			False
Starting Deadline Seconds:	<unset>
Selector:			<unset>
Parallelism:			<unset>
Completions:			<unset>
Pod Template:
  Labels:	run=sj3
  Containers:
   sj3:
    Image:	busybox
    Port:	<none>
    Args:
      sleep
      300
    Environment:	<none>
    Mounts:		<none>
  Volumes:		<none>
Last Schedule Time:	Wed, 11 Oct 2017 17:05:00 +0800
Active Jobs:		sj3-1507712700
Events:
  FirstSeen	LastSeen	Count	From			SubObjectPath	Type		Reason			Message
  ---------	--------	-----	----			-------------	--------	------			-------
  23m		23m		1	cronjob-controller			Normal		SuccessfulCreate	Created job sj3-1507711500
  17m		17m		1	cronjob-controller			Normal		SuccessfulCreate	Created job sj3-1507711800
  17m		17m		1	cronjob-controller			Normal		SawCompletedJob		Saw completed job: sj3-1507711500
  13m		13m		1	cronjob-controller			Normal		SuccessfulCreate	Created job sj3-1507712100
  12m		12m		1	cronjob-controller			Normal		SawCompletedJob		Saw completed job: sj3-1507711800
  7m		7m		1	cronjob-controller			Normal		SawCompletedJob		Saw completed job: sj3-1507712100
  7m		7m		1	cronjob-controller			Normal		SuccessfulCreate	Created job sj3-1507712400
  2m		2m		1	cronjob-controller			Normal		SuccessfulCreate	Created job sj3-1507712700
  2m		2m		1	cronjob-controller			Normal		SawCompletedJob		Saw completed job: sj3-1507712400

Comment 5 errata-xmlrpc 2017-11-28 22:07:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.